Bug 619785 - Please update to 2.65
Please update to 2.65
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-IO-Socket-INET6 (Show other bugs)
13
All Linux
low Severity urgent
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 10:31 EDT by Harald Reindl
Modified: 2011-06-15 01:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-IO-Socket-INET6-2.66-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-15 01:33:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
src.rpm (21.70 KB, application/octet-stream)
2010-08-01 05:49 EDT, Harald Reindl
no flags Details

  None (edit)
Description Harald Reindl 2010-07-30 10:31:45 EDT
Hi

We are domain-registrar for .at-Domains and after ip-change yesterday which killed our connections to the nic.at-EPP-Service version "perl-IO-Socket-INET6-2.56-2.fc12.noarch" pushed 32GB of "Use of uninitialized value $fam_listen in numeric ne (!=) at /usr/lib/perl5/vendor_perl/5.10.0/IO/Socket/INET6.pm
line 226" in the logfile until our disk was full and httpd / mysql stopped to work

The answer of our bugreport to nic.at was "this bug is caused by IO::Socket::INET6 and fixed in version >= 2.65"

It would be really glad to push this update also for fedora 12 because we have shortly upgraded our servers from version 11 and i fear if there are connection-troubles to the epp-service the same will happen again
Comment 1 Harald Reindl 2010-08-01 05:49:14 EDT
Created attachment 435844 [details]
src.rpm

Attached my own built src.rpm because i needed thsi fix urgently
It is based on the last fedora-build
Comment 2 Bug Zapper 2010-11-03 07:25:16 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Harald Reindl 2010-11-03 07:40:47 EDT
Why is this problem totally ignored?

It affects F12, F13, F14, F15 because the last koji-build 
is from 2010-05-02

I really, really do not understand such things when i push even a src.rpm
to my bugreport, so the problem does NOT affect me but all other users
Comment 4 Bug Zapper 2011-06-01 08:29:02 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Petr Šabata 2011-06-01 08:51:23 EDT
Going to update this module.
Comment 6 Fedora Update System 2011-06-02 03:29:06 EDT
perl-IO-Socket-INET6-2.66-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-IO-Socket-INET6-2.66-1.fc13
Comment 7 Fedora Update System 2011-06-02 03:29:23 EDT
perl-IO-Socket-INET6-2.66-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-IO-Socket-INET6-2.66-1.fc14
Comment 8 Fedora Update System 2011-06-03 01:27:37 EDT
Package perl-IO-Socket-INET6-2.66-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-IO-Socket-INET6-2.66-1.fc13'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-IO-Socket-INET6-2.66-1.fc13
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2011-06-15 01:33:50 EDT
perl-IO-Socket-INET6-2.66-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-06-15 01:54:25 EDT
perl-IO-Socket-INET6-2.66-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.